diff -uNr src.org/Makefile.bcc src/Makefile.bcc
--- src.org/Makefile.bcc	Fri Mar 30 18:16:10 2001
+++ src/Makefile.bcc	Fri Mar 30 17:52:36 2001
@@ -59,7 +59,8 @@
 	spells2.obj store.obj tables.obj util.obj \
 	variable.obj wizard1.obj wizard2.obj xtra1.obj \
 	xtra2.obj z-form.obj z-rand.obj z-term.obj \
-	z-util.obj z-virt.obj
+	z-util.obj z-virt.obj \
+	japanese.obj
 
 all : $(EXE_FILE)
 
diff -uNr src.org/config.h src/config.h
--- src.org/config.h	Fri Mar 30 18:16:16 2001
+++ src/config.h	Fri Mar 30 17:25:46 2001
@@ -386,7 +386,7 @@
 /*
  * OPTION: Allow the use of "sound" in various places.
  */
-/* #define USE_SOUND */
+#define USE_SOUND
 
 /*
  * OPTION: Allow the use of "graphics" in various places
diff -uNr src.org/init2.c src/init2.c
--- src.org/init2.c	Fri Mar 30 18:16:18 2001
+++ src/init2.c	Fri Mar 30 18:04:02 2001
@@ -1337,6 +1337,13 @@
 		op_ptr->window_flag[n] = 0L;
 	}
 
+#ifdef JP
+#ifdef WINDOWS
+	/* Initialize the window flags */
+	op_ptr->window_flag[1] |= PW_MESSAGE;
+	op_ptr->window_flag[2] |= PW_INVEN;
+#endif
+#endif
 
 	/*** Pre-allocate space for the "format()" buffer ***/
 
diff -uNr src.org/main-win.c src/main-win.c
--- src.org/main-win.c	Fri Mar 30 18:16:20 2001
+++ src/main-win.c	Fri Mar 30 18:20:36 2001
@@ -472,6 +472,12 @@
 static HICON hIcon;
 
 /*
+ * Tofu
+ */
+static HBITMAP WALL;
+static HBRUSH myBrush;
+
+/*
  * A palette
  */
 static HPALETTE hPal;
@@ -2395,12 +2401,9 @@
 				rc.left += 2 * td->tile_wid;
 				rc.right += 2 * td->tile_wid;
 			} else if (*(s+i)==127){
-				HBITMAP  WALL;
-				HBRUSH   myBrush, oldBrush;
+				HBRUSH   oldBrush;
 				HPEN     oldPen;
 
-				WALL = LoadBitmap(hInstance, AppName);
-				myBrush = CreatePatternBrush(WALL);
 				oldBrush = SelectObject(hdc, myBrush);
 				oldPen = SelectObject(hdc, GetStockObject(NULL_PEN) );
 
@@ -2409,8 +2412,6 @@
 
 				SelectObject(hdc, oldBrush);
 				SelectObject(hdc, oldPen);
-				DeleteObject(WALL);
-				DeleteObject(myBrush);
 
 				/* Advance */
 				rc.left += td->tile_wid;
@@ -3022,6 +3023,9 @@
 	/* Create a "brush" for drawing the "cursor" */
 	hbrYellow = CreateSolidBrush(win_clr[TERM_YELLOW]);
 
+	/* Tofu */
+	WALL = LoadBitmap(hInstance, AppName);
+	myBrush = CreatePatternBrush(WALL);
 
 	/* Process pending messages */
 	(void)Term_xtra_win_flush();
@@ -5009,6 +5013,10 @@
 	/*** Free some other stuff ***/
 
 	DeleteObject(hbrYellow);
+
+	/* Tofu */
+	DeleteObject(WALL);
+	DeleteObject(myBrush);
 
 	if (hPal) DeleteObject(hPal);
 
Binary files src.org/wall.bmp and src/wall.bmp differ
